# Uses of Interface
org.apache.qpid.proton.engine.Sasl

Packages that use Sasl
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of Sasl in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return Sasl
Modifier and Type
Method
Description
`Sasl`
Transport.`sasl()`
Signal the transport to expect SASL frames used to establish a SASL layer prior to performing the AMQP protocol version negotiation.
Methods in org.apache.qpid.proton.engine with parameters of type Sasl
Modifier and Type
Method
Description
`void`
SaslListener.`onSaslChallenge(Sasl sasl, Transport transport)`
Called when a sasl-challenge frame has arrived and its effect applied, indicating the challenge sent by the 'server' peer.
`void`
SaslListener.`onSaslInit(Sasl sasl, Transport transport)`
Called when a sasl-init frame has arrived and its effect applied, indicating the selected mechanism and any hostname and initial-response details from the 'client' peer.
`void`
SaslListener.`onSaslMechanisms(Sasl sasl, Transport transport)`
Called when a sasl-mechanisms frame has arrived and its effect applied, indicating the offered mechanisms sent by the 'server' peer.
`void`
SaslListener.`onSaslOutcome(Sasl sasl, Transport transport)`
Called when a sasl-outcome frame has arrived and its effect applied, indicating the outcome and any success additional-data sent by the 'server' peer.
`void`
SaslListener.`onSaslResponse(Sasl sasl, Transport transport)`
Called when a sasl-response frame has arrived and its effect applied, indicating the response sent by the 'client' peer.

## Uses of Sasl in org.apache.qpid.proton.engine.impl

Classes in org.apache.qpid.proton.engine.impl that implement Sasl
Modifier and Type
Class
Description
`class`
`SaslImpl`
Methods in org.apache.qpid.proton.engine.impl that return Sasl
Modifier and Type
Method
Description
`Sasl`
TransportImpl.`sasl()`